import logging

from src.config import Config


def get_logger(name: str) -> logging.Logger:
    logger = logging.getLogger(name)
    logger.setLevel(Config.LOGGING_LEVEL)
    ch = logging.StreamHandler()
    ch.setLevel(Config.LOGGING_LEVEL)
    ch.setFormatter(logging.Formatter(Config.LOGGING_FORMAT))
    logger.addHandler(ch)
    return logger
